<?php
/**
 * Post rendering content according to caller of get_template_part.
 *
 * @package masterpiece
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}
?>

<article <?php post_class("col-12 col-md-12"); ?> id="post-<?php the_ID(); ?>">

	<header class="entry-header">
		
		<?php printf('<h2 class="entry-title"><a href="%s" rel="bookmark">%s</a></h2>', esc_url( get_permalink() ), the_title_attribute('echo=0') ); ?>
		<?php if ( 'post' == get_post_type() ) : ?>

			<div class="entry-meta">
				<?php masterpiece_posted_on(); ?>
			</div><!-- .entry-meta -->

		<?php endif; ?>

	</header><!-- .entry-header -->
	<div class="img-wrapper">
		<?php echo get_the_post_thumbnail( $post->ID, 'large' ); ?>
	</div>

	<div class="entry-content">

		<?php
		the_excerpt();
		?>

		<?php
		wp_link_pages( array(
			'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'masterpiece' ),
			'after'  => '</div>',
		) );
		?>

	</div><!-- .entry-content -->

	<footer class="entry-footer">

		<?php masterpiece_entry_footer(); ?>

	</footer><!-- .entry-footer -->

</article><!-- #post-## -->
